Page MenuHomePhabricator

Prototype and test an initial set of entry points
Closed, ResolvedPublic

Description

We want to try different approaches to bring more users into the translation process. In order to do so, after prioritising the different ideas in T87867, we decided to prototype the following ideas (high priorities are marked as [hi]):

T89701: Ask users to try the ContentTranslation beta feature when creating an article (Already designed and implemented)

  • Scope: When visiting an article that is missing in a language I know, I'm told that I can translate it and I'm suggested to enable the CX beta feature. I can enable the beta feature with just one click.
  • Expected impact: Increase the numbers of activations of the beta feature.

[hi] T89709: Guided tour after enabling the beta feature to introduce entry points

  • Scope: After enabling the beta feature I'm introduced to the "contributions" entry point. So that I can follow the process of creating an article.
  • Expected impact: By helping users to associate the contributions as a place to create new contributions, we expect users to start more translations.

T88586: [Tracker] Make contributions entry point easier to access

  • Scope: Provide direct access to the translation action.
  • Expected impact: By making more fluent the access to the translation dashboard, users will easilly find the way to start more translations.

[hi] T87439: [Tracking] Suggest articles to translate from the dashboard

  • Scope: some suggestions are presented to the user when reaching the dashboard.
  • Expected impact: Increase in the number of translations per user.

T89650: Request a translation for an article (or collection of articles) + T88582: Allow users to invite other users to translate an article

  • Scope: Some kind of affordance that allows users to ask others (specific users or in general) for an article to be translated into a language.
  • Expected impact: spread the word about CX (more translators).

T88581: Notify that your article has been translated by another user

  • Scope: Simulate a notification to communicate that an article you created has been translated by user Ludmilla into another language.

[hi] T88600: When creating a new page, suggest doing a translation instead

  • Scope: Ask the user to consider translating an article instead. We probably should assume that we don't know what the article is about or there is uncertainty about it (not matching search in Wikidata). so the message should be along the lines of informing about the possibility in general ("now you can create articles also by translating." instead of "This article seem to be missing in German, do you want to translate it?")
  • Expected impact: By intersecting on the regular article creation process, we expect to turn more editors into translators (increase on users that translated).

T89704: Suggest to translate articles that became featured (and relevant to the user interests)

  • Scope: Simulate a notification about an article being featured to understand if the user (a ) understands why is getting the notification, and (b) finds notifications of this kind useful.
  • Expected impact: More high quality articles being created.

Event Timeline

Pginer-WMF assigned this task to Nirzar.
Pginer-WMF raised the priority of this task from to High.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF added subscribers: Amire80, Arrbee, santhosh and 3 others.
Pginer-WMF updated the task description. (Show Details)Feb 25 2015, 2:47 PM
Pginer-WMF set Security to None.
Arrbee lowered the priority of this task from High to Normal.Feb 25 2015, 3:11 PM
Arrbee moved this task from Backlog to Candidates on the LE-Sprint-83 board.
Arrbee moved this task from Candidates to Backlog on the LE-Sprint-83 board.Feb 25 2015, 3:39 PM
Arrbee edited projects, added LE-Sprint-84; removed LE-Sprint-83.Mar 11 2015, 5:49 AM
Arrbee closed this task as Resolved.Mar 11 2015, 9:17 AM
Arrbee edited projects, added LE-Sprint-83; removed LE-Sprint-84.
Amire80 moved this task from Backlog to Done on the LE-Sprint-83 board.May 26 2015, 12:25 PM